function [oneorzero]=isfucked(whatever);
oneorzero=0;
if isempty(whatever)==1
    disp('isempty');
    oneorzero=1;
end
if isempty(find(isnan(whatever)==1,1))==0;
    disp('Nan attack!');
    [fuckthis,fuckthat]=find(isnan(whatever)==1);
    disp([fuckthis,fuckthat]);
    oneorzero=1;
end
if isempty(find(isinf(whatever)==1,1))==0;
   [fuckthis,fuckthat]=find(isinf(whatever)==1);
    disp([fuckthis,fuckthat]);
    disp('infinite');
    oneorzero=1;
end